import { defineStore } from 'pinia'
import { ref } from 'vue'
import axios from '@nextcloud/axios'
import { generateUrl } from '@nextcloud/router'

export const useConfigStore = defineStore('config', () => {
  const config = ref(null)

  async function getConfig() {
    if (config.value !== null) {
      return config.value
    }

    config.value = await axios.get(generateUrl('/apps/side_menu/js/config')).then((response) => response.data)

    return config.value
  }

  return {
    getConfig,
  }
})
